import request from '@/utils/request'

// 查询检查计划列表
export function listPlan(query) {
  return request({
    url: '/patrol/plan/list',
    method: 'get',
    params: query
  })
}


// 查询所有检查计划列表
export function listAllPlan(query) {
  return request({
    url: '/patrol/plan/allPlan',
    method: 'get',
    params: query
  })
}

// 查询检查计划详细
export function getPlan(id) {
  return request({
    url: '/patrol/plan/' + id,
    method: 'get'
  })
}

// 新增检查计划
export function addPlan(data) {
  return request({
    url: '/patrol/plan',
    method: 'post',
    data: data
  })
}

// 修改检查计划
export function updatePlan(data) {
  return request({
    url: '/patrol/plan',
    method: 'put',
    data: data
  })
}export function conformPlan(data) {
  return request({
    url: '/patrol/plan/conform',
    method: 'put',
    data: data
  })
}

// 删除检查计划
export function delPlan(id) {
  return request({
    url: '/patrol/plan/' + id,
    method: 'delete'
  })
}
